[![codecov](https://codecov.io/gh/uhlerlab/causaldag/branch/master/graph/badge.svg?token=RSM00FKU9A)](https://codecov.io/gh/uhlerlab/causaldag)

`graphical_models` is a Python package for:
* **representing** graphical models, including directed acyclic graphs (DAGs), undirected graphs,
(maximal) ancestral graphs (MAGs), partially directed acyclic graphs (PDAGs), partial ancestral graphs (PAGs),

* **generating** graphical models at random, and

* **sampling** from graphical models with specified distributions, e.g. Gaussian DAGs and Gaussian Graphical Models (GGMs).

`graphical_models` is a part of the [causaldag](https://github.com/uhlerlab/causaldag) ecosystem of packages.

### Install
Install the latest version of `graphical_models`:
```
$ pip3 install graphical_models
```

### Documentation
Documentation is available at https://graphical_models.readthedocs.io/en/latest/


### Simple Example

```
>>> import graphical_models
```

### License

Released under the 3-Clause BSD license (see LICENSE.txt):
```
Copyright (C) 2021
Chandler Squires <csquires@mit.edu>
```
